<?php

declare(strict_types=1);

use app\models\Search;

if (isset($history) && $history) {
    // Отображение истории

    if (yii::$app->user->isGuest) {
        // Не аутентифицирован

        // В будущем выводить историю из cookie

        echo <<<HTML
            <p class="m-0 py-2 d-flex justify-content-center">Войдите для просмотра истории поиска</p>
        HTML;
    } else if ($rows = Search::searchByEdge(
        from: 'account',
        to: 'search',
        sort: ['DESC'],
        where: ['search.type' => 'general']
    )) {
        // История поиска существует

        foreach ($rows as $row) {
            // Инициализация
            $time = $row->jrnl;
            $date = empty($time) ? '' : date('H:i d.m.Y', end($time)['date']);

            echo <<<HTML
                <a class="dropdown-item d-flex button_white text-dark" href="/search?type=product&q=$row->text">$row->text<span class="ml-auto">$date</span></a>
            HTML;
        }
    }
} else if (isset($response) && $response) {
    // Ответ получен

    foreach ($response as $row) {
        // Перебор найденных данных

        $catn = $row['catn'];

        echo <<<HTML
            <a class="dropdown-item button_white text-dark" href="/product/$catn">$catn</a>
        HTML;
    }
} else {
    echo <<<HTML
        <p class="m-0 py-2 d-flex justify-content-center">Ничего не найдено</p>
    HTML;
}
?>
